SCRIPTS
=======

Various scripts for various tasks.

Scripts
-------

  * [73lab.sh](https://forge.tourmentine.com/n/scripts/src/master/73lab.sh) => grap 73lab's wallpapers
  * [backupnaz.sh](https://forge.tourmentine.com/n/scripts/src/master/backupnaz.sh) => used to backup my NAS
  * [cleanmaildir.sh](https://forge.tourmentine.com/n/scripts/src/master/cleanmaildir.sh) => delete old mail in maildirs
  * [dodo.sh](https://forge.tourmentine.com/n/scripts/src/master/dodo.sh) => turn off screen using DPMS
  * [dump_mysql.sh](https://forge.tourmentine.com/n/scripts/src/master/dump_mysql.sh) => dump all mysql databases (and send a report to the monitoring system)
  * [html2rss.php](https://forge.tourmentine.com/n/scripts/src/master/html2rss.php) => parse HTML and generate a RSS feed 
  * [mplayer_update.sh](https://forge.tourmentine.com/n/scripts/src/master/mplayer_update.sh) => download, compile and install FFMpeg & MPlayer
  * [opdsupdates.py](https://forge.tourmentine.com/n/scripts/src/master/opdsupdates.py) => look for OPDS catalog updates and send a mail if any
  * [randomwallpaper.sh](https://forge.tourmentine.com/n/scripts/src/master/randomwallpaper.sh) => display a random wallpaper
  * [secupdate](https://forge.tourmentine.com/n/scripts/src/master/secupdate) => apply security updates & recompile kernel (FreeBSD)
  * [superscreen](https://forge.tourmentine.com/n/scripts/src/master/superscreen) => open multiple ssh sessions to a bunch of servers inside a screen
  * [zfsync.sh](https://forge.tourmentine.com/n/scripts/src/master/zfsync.sh) => sync some ZFS pools between two machines

Greasemonkey/Userscripts
------------------------

  * [autocompleteondamnit.user.js](https://forge.tourmentine.com/n/scripts/src/master/autocompleteondamnit.user.js) => greasemonkey script for autocomplete on all forms
  * [nickbook.user.js](https://forge.tourmentine.com/n/scripts/src/master/nickbook.user.js) => greasemonkey script for facebook
  * [rue89.user.js](https://forge.tourmentine.com/n/scripts/src/master/rue89.user.js) => greasemonkey script to restore legacy rue89 favicon

Patches
-------

  * [alcasar_logo.patch](https://forge.tourmentine.com/n/scripts/src/master/alcasar_logo.patch) => small patch to add a background changer for ALCASAR webpages
  * [shaarli_OleG.0.9.0.patch](https://forge.tourmentine.com/n/scripts/src/master/shaarli_OleG.0.9.0.patch) => Open Graph support for Shaarli (patch against 0.9.0 version, also works against 0.9.1) Hi [Charly](https://fr.wikipedia.org/wiki/Charly_Oleg)!

Monitoring
-------

  * [check_ntppool_score](https://forge.tourmentine.com/n/scripts/src/master/check_ntppool_score) => Simple shell script to check score on NTP Pool Project (score must be over 10 to server NTP). Requires Curl, fits for Nagios/Shinken/Icinga/etc.
  * [GonKyrellM](https://forge.tourmentine.com/n/scripts/src/master/GonKyrellM) => Conky, GKrellM style - with "invisible" theme (well, sort of)

Attic
-----

  * [caminfo.sh](https://forge.tourmentine.com/n/scripts/src/master/caminfo.sh) => update webcam info with xmms ouput
  * [caminit](https://forge.tourmentine.com/n/scripts/src/master/caminit) => manage a very oldd webcam (Logitech Quickcam)
  * [mkvig](https://forge.tourmentine.com/n/scripts/src/master/mkvig) => little script to download covers
  * [postinstall.sh](https://forge.tourmentine.com/n/scripts/src/master/postinstall.sh) => OVH/Kimsufi FreeBSD postinstall script
  * [tssh](https://forge.tourmentine.com/n/scripts/src/master/tssh) => automaticaly rename Konsole tabs using ssh'ed hostname
